# DBRaw Class Reference
[Dynamic query builder]

Karma's destroyer. More...

Inheritance diagram for DBRaw:
[legend]

List of all members.

## Public Member Functions

| __construct ($rawString)
| toDialectString (Dialect $dialect)
| toBoolean (Form $form)

## Private Attributes

| $string = null

## Detailed Description

Karma's destroyer.

Deprecated:
  since the begining of time

Definition at line 19 of file DBRaw.class.php.

## Constructor & Destructor Documentation

DBRaw::__construct | ( | $ | rawString | ) |

Definition at line 23 of file DBRaw.class.php.

## Member Function Documentation

DBRaw::toBoolean | ( | Form $ | form | ) |

Implements LogicalObject.

Definition at line 38 of file DBRaw.class.php.

DBRaw::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 33 of file DBRaw.class.php.

## Member Data Documentation

DBRaw::$string = null`[private]`

Definition at line 21 of file DBRaw.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/DBRaw.class.php